#pragma once

#include "esphome/core/component.h"
#include "esphome/components/uart/uart.h"

namespace esphome {
  namespace cogito_uart_protocol {

    class CogitoUARTProtocolComponent : public uart::UARTDevice, public Component {
    public:
      void setup() override;
      void loop() override;
      void dump_config() override;
      };


    }  // namespace cogito_uart_protocol
  }  // namespace esphome
